import { UnixTimestamp } from "@snickerdoodlelabs/objects";
import { ITimeUtils } from "../interfaces/index.js";
export declare class TimedCache<T> {
    protected cacheTimeSeconds: number;
    protected timeUtils: ITimeUtils;
    protected cache: Map<string, CacheEntry<T>>;
    constructor(cacheTimeSeconds: number, timeUtils: ITimeUtils);
    get(...args: unknown[]): T | null;
    set(value: T, ...args: unknown[]): void;
    clearAll(): void;
    clear(...args: unknown[]): void;
    protected getKey(args: unknown[]): string;
}
declare class CacheEntry<T> {
    timestamp: UnixTimestamp;
    value: T;
    constructor(timestamp: UnixTimestamp, value: T);
}
export {};
//# sourceMappingURL=TimedCache.d.ts.map